import { VNode } from "vue";
import { WorkflowDynamicFields } from "./api";

type buttonProps = {
  btnParam: string;
  isNonTransfer: string;
  interfaceUrl: string;
  source: string;
  type: string;
  isEcho: string;
  url: string;
  name: string;
  id: string;
  nodeId: string;
  desc: string;
  icon: string;
};

export declare class WorkflowDetail {
  /** 适老化样式 */
  isElder: boolean;

  /** 表单数据详情 */
  taskDetail: WorkflowDynamicFields;

  /** 流程表单配置 */
  taskFields: WorkflowDynamicFields[];

  /** 模型接口数据 */
  componentConfig: WorkflowDynamicFields[];

  /** 流程记录 */
  historyList: WorkflowDynamicFields[];

  buttonConfig: buttonProps[];

  $slots: {
    detailFoot: VNode[];
  };

  $emit: {
    buttonClick: (param: buttonProps) => void;
  };
}
